Bug 210178 - md: write behind feature does not work on big endian machines
md: write behind feature does not work on big endian machines
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 12:33 EDT by Paul Clements
Modified: 2008-05-21 10:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.10 KB, patch)
2006-10-10 12:33 EDT, Paul Clements
no flags Details | Diff

  None (edit)
Description Paul Clements 2006-10-10 12:33:19 EDT
Description of problem:

There is a bug in the md driver. find_first_set_bit doesn't find the
least-significant bit on bigendian machines, so it is really wrong to use it.

ffs is closer, but takes an 'int' and we have a 'unsigned long'.  So use
ffz(~X) to convert a chunksize into a chunkshift.

Version-Release number of selected component (if applicable):

kernel 2.6.17-1.2519.4.21.el5

Patch attached (patch is now in mainline).
Comment 1 Paul Clements 2006-10-10 12:33:19 EDT
Created attachment 138158 [details]
patch
Comment 2 Linda Wang 2008-01-02 15:30:34 EST
patch posted 12/04/07. 
Comment 4 Don Zickus 2008-01-08 15:45:49 EST
in 2.6.18-64.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Mike Gahagan 2008-04-02 17:29:06 EDT
Confirmed the fix is in the -87.el5 kernel.
Comment 8 errata-xmlrpc 2008-05-21 10:39:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.